For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Offer object
          • GET/offers
          • GET/offers/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsOffers

/offers/{id}

GET
/ats/v1/offers/:id
GET
/api/ats/v1/offers/:id
$curl -G https://api.merge.dev/api/ats/v1/offers/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=application,creator \
> -d remote_fields=status \
> -d show_enum_origins=status
200Retrieved
1{
2 "id": "dd85625c-6a59-446f-a317-6de64d83bae7",
3 "remote_id": "9876",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "application": "2872ba14-4084-492b-be96-e5eee6fc33ef",
7 "creator": "52bf9b5e-0beb-4f6f-8a72-cd4dca7ca633",
8 "remote_created_at": "2021-10-15T00:00:00Z",
9 "closed_at": "2021-10-16T00:00:00Z",
10 "sent_at": "2021-10-15T00:00:00Z",
11 "start_date": "2021-11-15T00:00:00Z",
12 "status": "SENT",
13 "remote_was_deleted": true,
14 "field_mappings": {
15 "organization_defined_targets": {
16 "custom_key": "custom_value"
17 },
18 "linked_account_defined_targets": {
19 "custom_key": "custom_value"
20 }
21 },
22 "remote_data": [
23 {
24 "path": "/offers",
25 "data": null
26 }
27 ]
28}

Returns an Offer object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/offers

Next

The Office object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
applicationstring or nullformat: "uuid"
The application who is receiving the offer.
creatorstring or nullformat: "uuid"
The user who created the offer.
remote_created_atdatetime or null
When the third party's offer was created.
closed_atdatetime or null
When the offer was closed.
sent_atdatetime or null
When the offer was sent.
start_datedatetime or null
The employment start date on the offer.
statusenum or null

The offer’s status.

  • DRAFT - DRAFT
  • APPROVAL-SENT - APPROVAL-SENT
  • APPROVED - APPROVED
  • SENT - SENT
  • SENT-MANUALLY - SENT-MANUALLY
  • OPENED - OPENED
  • DENIED - DENIED
  • SIGNED - SIGNED
  • DEPRECATED - DEPRECATED
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more